commit:     02a3266b449476cf1fa67213c8126b5710c10cc0
Author:     Olivier Laurantin <olivier.laurantin <AT> laposte <DOT> net>
AuthorDate: Tue Jan 28 21:26:20 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jan 30 06:33:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02a3266b

net-wireless/blueberry: version bump

Update to the latest upstream version

Closes: https://bugs.gentoo.org/706016
Signed-off-by: Olivier Laurantin <olivier.laurantin <AT> laposte.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-wireless/blueberry/Manifest               |  1 +
 net-wireless/blueberry/blueberry-1.3.4.ebuild | 63 +++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/net-wireless/blueberry/Manifest b/net-wireless/blueberry/Manifest
index 68ed29c2618..2950875c6cd 100644
--- a/net-wireless/blueberry/Manifest
+++ b/net-wireless/blueberry/Manifest
@@ -1,2 +1,3 @@
 DIST blueberry-1.1.13.tar.gz 1382261 BLAKE2B 
5b23429243bc63d864f7176139a577cb5c8aea1f00906c218c66e92b9d679ad793f6429d01f9e49f960674b1ad5100d642075a730db49dd568282ea00089d8a3
 SHA512 
587165b33f087720f9ae72dfb37feda9c6c3e4c4ad166a5a410c078a63bea0d33182b781f8f0c7840575917d06faec752866009c9b3664241b7ca23ab1586b94
 DIST blueberry-1.2.9.tar.gz 1402410 BLAKE2B 
0b816d4ca812b18e00a88d0d5b9cd1d44086a29f656d56cb23eede9b7f5cf7380ecf802ebc04369d39cbff56912292bff10bf31724389ab4a33731d2ce61c822
 SHA512 
6119cc9a7e1c18db2110f568f9fc8717ff0cc1db5fa8794f95734229cc4ebbc658b9b19c9b545dabdcbfa56c4fe2c5631c5fe2e8675860645790bb1c67aaa8f6
+DIST blueberry-1.3.4.tar.gz 1410366 BLAKE2B 
a684c30b7457c4df8cc1f5449891cb43d0bc314692ad1d135377c861c669b0f4f8185396f39295268821ac6403dfd035201756dea4974f31066da766e36b559c
 SHA512 
d5ca457ace0d46aab425b6821e690a94375de1222e90d0223afa97de5ce16f77089ba84b1b47a90e6494f34d3bd6824dbd6d2ff1e41e0b9be1d7bc9611abd6db

diff --git a/net-wireless/blueberry/blueberry-1.3.4.ebuild 
b/net-wireless/blueberry/blueberry-1.3.4.ebuild
new file mode 100644
index 00000000000..9eda79f9577
--- /dev/null
+++ b/net-wireless/blueberry/blueberry-1.3.4.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit eutils gnome2-utils python-single-r1 xdg-utils
+
+DESCRIPTION="A Bluetooth configuration tool"
+HOMEPAGE="https://github.com/linuxmint/blueberry";
+SRC_URI="https://github.com/linuxmint/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       dev-python/dbus-python[${PYTHON_USEDEP}]
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       dev-python/setproctitle[${PYTHON_USEDEP}]
+       dev-python/xapp[${PYTHON_USEDEP}]
+       >=net-wireless/gnome-bluetooth-3.14[introspection]
+       net-wireless/bluez[obex]
+       net-wireless/bluez-tools
+       || (
+               >=sys-apps/util-linux-2.31_rc1
+               net-wireless/rfkill
+       )
+       x11-libs/libnotify[introspection]
+       x11-misc/wmctrl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+       python_fix_shebang usr/lib
+}
+
+src_install() {
+       doins -r etc
+       exeinto /usr/bin
+       doexe usr/bin/*
+       exeinto /usr/lib/blueberry
+       doexe usr/lib/blueberry/*
+       insinto /usr
+       doins -r usr/share
+}
+
+pkg_preinst() {
+       gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}

Reply via email to